/**
 * This file is part of Carma Launcher.
 * 
 * Carma Launcher is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 * 
 * Carma Launcher is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Carma Launcher. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2011, Casper Kejlberg-Rasmussen.
 */
package carmalauncher;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import masterserver.RequestType;

/**
 *
 * @author Casper Kejlberg-Rasmussen
 */
public class AliveThread implements Runnable {
    private int cleanupPort;
    
    AliveThread(int cleanupPort){
        this.cleanupPort = cleanupPort;
    }

    @Override
    public void run() {
        try {
            ServerSocket ss = new ServerSocket(cleanupPort);
            while (true) {
                final Socket s = ss.accept();
                Runnable r = new Runnable() {
                    @Override
                    public void run() {
                        try {
                            ObjectInputStream ois = new ObjectInputStream(s.getInputStream());
                            RequestType rt = (RequestType) ois.readObject();
                            if (rt == RequestType.AreYouStillAlive) {
                                ObjectOutputStream oos = new ObjectOutputStream(s.getOutputStream());
                                oos.writeObject(RequestType.YesIAmStillAlive);
                                oos.flush();
                                oos.close();
                            }
                            ois.close();
                        } catch (Exception ex) {
                            // TODO something usefull
                        }
                    }
                };
                Thread t = new Thread(r);
                t.start();
            }
        } catch (IOException ex) {
            // TODO something usefull
        }
    }
}
