/**
 * This file is part of Carma Launcher.
 * 
 * Carma Launcher is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 * 
 * Carma Launcher is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Carma Launcher. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2011, Casper Kejlberg-Rasmussen.
 */
package masterserver;

import java.io.Serializable;
import java.math.BigInteger;
import java.net.InetAddress;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author Casper Kejlberg-Rasmussen
 */
public class ServerInfo implements Serializable{
    private InetAddress serverIP;
    private String gametype;
    private List<InetAddress> clients;
    private RequestType type;

    public ServerInfo(String gametype, RequestType type){
        this.gametype = gametype;
        this.type = type;
        this.clients = new LinkedList<InetAddress>();
    }
    
    public void setClients(List<InetAddress> clients) {
        this.clients = clients;
    }

    public List<InetAddress> getClients() {
        return clients;
    }
    
    public void setType(RequestType type) {
        this.type = type;
    }

    public RequestType getType() {
        return type;
    }
    
    public void setGametype(String gametype) {
        this.gametype = gametype;
    }

    public void setServerIP(InetAddress ip) {
        this.serverIP = ip;
    }

    public String getGametype() {
        return gametype;
    }

    public InetAddress getServerIP() {
        return serverIP;
    }

    public BigInteger id(){
        return new BigInteger(serverIP.getAddress());
    }
}
